%define name freeplayer
%define version 20050905
%define release 0.2mdk
%define aname vlc-fbx
%define bname fbx-playlist

%define playlist_version 1.1

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Freeplayer from french isp free adsl
License:   GPL
URL:       http://adsl.free.fr/tv/freeplayer/
Group:     Video
Source:    ftp://ftp.free.fr/pub/%{name}/%{name}-linux-%{version}.tar.bz2
Patch0:    freeplayer-20050905-playlist.patch.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: qt4-devel
Requires: vlc 

%description
Freeplayer from french isp free adsl

%prep
rm -rf %buildroot

%setup -n %{name} -q
%patch0 -p1 -b .playlist

tar xzf share/fbx-playlist-%{playlist_version}.tar.gz

%build
cd fbx-playlist-%{playlist_version}
%{_libdir}/qt4/bin/qmake
make


%install
mkdir -p %buildroot/%_datadir/%{name}
mkdir -p %buildroot/%_bindir

cp -r share/http-fbx %buildroot/%_datadir/%{name}
install -m 755 bin/vlc-fbx.sh -D %buildroot/%_bindir/%{aname}
install -m 755 fbx-playlist-%{playlist_version}/fbx-playlist -D %buildroot/%_bindir/%{bname}
sed -i -e 's@%HTTP_PATH%@/usr/share/freeplayer/http-fbx/@g' %buildroot/%_bindir/%{aname}

#menus
install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{bname}" \
                  icon=%{name}.png \
                  needs="x11" \
                  section="Multimedia/Video" \
                  title="Freeplayer-playlist"\
                  longtitle="Create Playlist for Freeplayer"
EOF

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README share/doc/*

%{_bindir}/*
%_menudir/*
%_datadir/%{name}
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 20050905-0.2mdk 
- Fix http-fbx path

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 20050905-0.1mdk 
- Release 20050905
- Regenerate patch0

* Thu Jul 07 2005 Frederic Crozat <fcrozat@mandriva.com> 20050701-0.4mdk 
- Arg, install compiled version of fbx-playlist

* Wed Jul 06 2005 Frederic Crozat <fcrozat@mandriva.com> 20050701-0.3mdk 
- Remove dependency on transcode (not needed, vlc does the job)
- Patch0 : allow many playlists to be used as argument for vlc-fbx scripts,
  merge previous patches 0 and 1 in it.
- Clean specfile
- Drop menu for vlc-fbx, can't be used that way (yet)

* Sat Jul 02 2005 Sebastien Savarin <plouf@mandriva.org> 20050701-0.2mdk
- Spec file corrections

* Fri Jul 01 2005 Sebastien Savarin <plouf@mandriva.org> 20050701-0.1mdk
- First Mandriva Linux release

